#
# Runs all tests in this directory
#
# Execute like:
#   python runalltests.py
#

import os, sys, unittest

TestRunner = unittest.TextTestRunner
suite = unittest.TestSuite()

tests = os.listdir(sys.path[0])
tests = [n[:-3] for n in tests if n.startswith('test') and n.endswith('.py')]

for test in tests:
    m = __import__(test)
    if hasattr(m, 'test_suite'):
        suite.addTest(m.test_suite())

TestRunner().run(suite)
